Skip to content

getTrainingAssignmentStatusForEmployee

READ

Get training assignment status for employee.

POST /api/v1/resources/getTrainingAssignmentStatusForEmployee
curl -X POST '<your-host>/api/v1/resources/getTrainingAssignmentStatusForEmployee' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employeeId": "string"
  }'
Response
{
  "results": [
    {
      "avatarUrl": "string",
      "companyId": "string",
      "completedAt": "string",
      "completionId": 0,
      "currentPeriod": "string",
      "employeeId": "string",
      "employeeName": "string",
      "employeeStartDate": "string",
      "frequency": "Quarterly",
      "status": "string",
      "trainingAssignmentId": "string",
      "trainingId": "string",
      "trainingName": "string",
      "trainingType": "Mandatory"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "employeeId": {
      "type": "string"
    }
  },
  "required": [
    "employeeId"
  ]
}